## appmenu-gtk-module 0.6.94

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.4)
cmake_policy (VERSION 3.4)
project (appmenu-gtk-module C)
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
enable_testing ()
include(GNUInstallDirs)
include(CMakeDependentOption)
find_package (PkgConfig QUIET)
find_package(GLIB2 REQUIRED QUIET COMPONENTS GLIB GOBJECT GIO GIO_UNIX COMPILE_SCHEMAS)
include(GLibProgramHandlers)
find_package(GTK 3.22 QUIET COMPONENTS GDK GTK X11 WAYLAND)
find_package(GTK 2.24 COMPONENTS GDK GTK X11)
set(GTK2_FOUND ${GTK_FOUND})

find_path(WAYLAND_INCLUDE
    NAMES wayland-client.h
    HINTS ${CMAKE_FULL_INCLUDE_DIR}
    PATH_SUFFIXES wayland
)

cmake_dependent_option(STANDALONE "Build appmenu-gtk-module STANDALONE" ON
        "NOT CORE_FOUND" OFF)
option(ENABLE_APPMENU_GTK_MODULE "Build appmenu-gtk-module" ON)
cmake_dependent_option(ENABLE_GTK_MODULE_DEMOS "Enable demo programs and docs for gtk module" OFF
        "ENABLE_APPMENU_GTK_MODULE" OFF)

if(STANDALONE)
        set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}")
        set (CPACK_SOURCE_IGNORE_FILES "/build/;/.gitmodules;/.git;/.gitignore;~$;${CPACK_SOURCE_IGNORE_FILES}")
        include (CPack)
        add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
endif()

if(ENABLE_APPMENU_GTK_MODULE OR STANDALONE)
	add_subdirectory(data)
	add_subdirectory(lib)
	add_subdirectory(src)
	add_subdirectory(tests)
endif()

if(ENABLE_GTK_MODULE_DEMOS)
        find_package(GtkDoc CONFIG PATH_SUFFIXES GtkDoc)
        if(GtkDoc_FOUND)
                add_subdirectory(docs)
        endif()
endif()

=== data/CMakeLists.txt ===
add_custom_target(data-files-module SOURCES org.appmenu.gtk-module.gschema.xml appmenu-gtk-module.service)

add_schema("org.appmenu.gtk-module.gschema.xml" "bin")
pkg_check_modules(SYSTEMD "systemd")
if (SYSTEMD_FOUND AND "${SYSTEMD_SERVICES_INSTALL_DIR}" STREQUAL "")
    execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE}
        --variable=systemduserunitdir systemd
       OUTPUT_VARIABLE SYSTEMD_SERVICES_INSTALL_DIR)
    string(REGEX REPLACE "[ \t\n]+" "" SYSTEMD_SERVICES_INSTALL_DIR
        "${SYSTEMD_SERVICES_INSTALL_DIR}")
elseif (NOT SYSTEMD_FOUND AND SYSTEMD_SERVICES_INSTALL_DIR)
    message (FATAL_ERROR "Variable SYSTEMD_SERVICES_INSTALL_DIR is\
        defined, but we can't find systemd using pkg-config")
endif()
configure_file(appmenu-gtk2-parser.pc.in ${CMAKE_CURRENT_BINARY_DIR}/appmenu-gtk2-parser.pc)
configure_file(appmenu-gtk3-parser.pc.in ${CMAKE_CURRENT_BINARY_DIR}/appmenu-gtk3-parser.pc)
configure_file(appmenu-gtk-module.service.in ${CMAKE_CURRENT_BINARY_DIR}/appmenu-gtk-module.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-gtk3-parser.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
if(GTK2_FOUND)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-gtk2-parser.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()
if (SYSTEMD_FOUND)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-gtk-module.service DESTINATION ${SYSTEMD_SERVICES_INSTALL_DIR})
endif()

=== lib/CMakeLists.txt ===
set(LIB_SOURCES
        appmenu-gtk-action-group.h
	unity-gtk-action-group-private.h
	unity-gtk-action-group.c
	unity-gtk-action-private.h
	unity-gtk-action.c
        appmenu-gtk-menu-shell.h
	unity-gtk-menu-shell-private.h
	unity-gtk-menu-shell.c
	unity-gtk-menu-section-private.h
	unity-gtk-menu-section.c
	unity-gtk-menu-item-private.h
	unity-gtk-menu-item.c
)
set(GTK3_SOURCES
    )
if (STANDALONE)
    set (VERSION_MAJOR "0")
    set (VERSION "0")
endif()

add_library(appmenu-gtk3-parser SHARED
        ${LIB_SOURCES}
        ${GTK3_SOURCES})
target_link_libraries(appmenu-gtk3-parser PRIVATE ${GLIB2_LIBRARIES} ${GTK3_LIBRARIES})
target_include_directories(appmenu-gtk3-parser PRIVATE ${GLIB2_INCLUDE_DIRS} ${GTK3_INCLUDE_DIRS})
set_target_properties(appmenu-gtk3-parser PROPERTIES
	VERSION ${VERSION}
	SOVERSION ${VERSION_MAJOR})
install(TARGETS appmenu-gtk3-parser DESTINATION ${CMAKE_INSTALL_LIBDIR})

if (GTK2_FOUND)
        add_library(appmenu-gtk2-parser SHARED
		${LIB_SOURCES})
	set_target_properties(appmenu-gtk2-parser PROPERTIES
		VERSION ${VERSION}
		SOVERSION ${VERSION_MAJOR})
        target_link_libraries(appmenu-gtk2-parser PRIVATE GLIB2::GIO_UNIX GTK2::GTK)
        install(TARGETS appmenu-gtk2-parser DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

set(LIB_PUBLIC_HEADERS
        appmenu-gtk-parser.h
        appmenu-gtk-menu-shell.h
        appmenu-gtk-action-group.h)

set(GTK_MODULE_INCLUDE_DIR ${CMAKE_INSTALL_INCLUDEDIR}/appmenu-gtk-parser)

install(FILES ${LIB_PUBLIC_HEADERS} DESTINATION ${GTK_MODULE_INCLUDE_DIR})

=== tests/demos/CMakeLists.txt ===
set(CLIENT_SOURCES
	altgrabber.h
	altgrabber.c
	altmonitor.h
	altmonitor.c
	menusource.h
	menusource.c
	client.c)

if(ENABLE_WNCK)
	add_executable(menumodel-client ${CLIENT_SOURCES})
	target_include_directories(menumodel-client PRIVATE ${GLIB_INCLUDE_DIRS} ${GTK3_INCLUDE_DIRS} ${WNCK_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/../lib)
	target_link_libraries(menumodel-client PRIVATE ${GLIB_LIBRARIES} ${GTK3_LIBRARIES} ${WNCK_LIBRARIES} ${X11_LIBRARIES})
endif()

add_executable(tester unity-gtk-menu-tester.c)
target_include_directories(tester PRIVATE ${GTK3_INCLUDE_DIRS})
target_link_libraries(tester PRIVATE ${GTK3_LIBRARIES})

add_executable(tester-radio test-radio.c)
target_include_directories(tester-radio PRIVATE ${GTK3_INCLUDE_DIRS})
target_link_libraries(tester-radio PRIVATE ${GTK3_LIBRARIES})

add_executable(hello hello.c)
target_include_directories(hello PRIVATE ${GTK3_INCLUDE_DIRS})
target_link_libraries(hello PRIVATE ${GTK3_LIBRARIES})

vala_precompile(VALA_DEMO vala-demo
    black.vala
PACKAGES
    gtk+-3.0
OPTIONS
    --target-glib=2.44
)

add_custom_target(black-ide SOURCES black.vala)
add_executable(blackbox ${CMAKE_CURRENT_BINARY_DIR}/black.c)
target_include_directories(blackbox PRIVATE ${GTK3_INCLUDE_DIRS})
target_link_libraries(blackbox PRIVATE ${GTK3_LIBRARIES})

=== debian/changelog ===
appmenu-gtk-module (0.6.94-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/copyright:
    + Use secure URI for copyright format.

  [ Mike Gabriel ]
  * debian/control:
    + Bump versioned B-Ds accordings to upstream's README.md file.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Mar 2018 21:52:31 +0200

appmenu-gtk-module (0.6.92-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 2001_unknown-gtk-libdirs.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Mar 2018 20:21:16 +0100

appmenu-gtk-module (0.6.80-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Orig tarball renamed from .tar.gz to .tar.xz.
  * debian/copyright:
    + Update copyright attributions.
    + Update autogenerated copyright.in reference template.
  * debian/patches:
    + Add 2001_unknown-gtk-libdirs.patch. Nasty work-around for non-known
      GTK<X>_LIBDIR variable values.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 15 Feb 2018 21:20:41 +0100

appmenu-gtk-module (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/copyright:
    + Refresh auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/{control,copyright}:
    + Update upstream source URLs.
  * debian/{control,compat}:
    + Bump DH version level to 11.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Jan 2018 15:16:00 +0100

appmenu-gtk-module (0.5.6-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #883465).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Dec 2017 19:18:28 +0100

=== debian/control ===
Source: appmenu-gtk-module
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Jeremy Bicha <jbicha@debian.org>,
 Debian MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 11~),
               dpkg-dev (>= 1.16.1.1~),
               libx11-dev,
               libglib2.0-dev (>= 2.50.0),
               libgtk2.0-dev (>= 2.24.0),
               libgtk-3-dev (>= 3.22.0),
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/rilian-la-te/vala-panel-appmenu/tree/master/subprojects/appmenu-gtk-module
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/appmenu-gtk-module.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/appmenu-gtk-module.git

Package: libappmenu-gtk-parser-dev-common
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Common header files for GtkMenuShell to GMenuModel parser
 GTK+ module for exporting old-style menus as GMenuModels.
 .
 Many applications implement menus as GtkMenuShells and GtkMenuItems and
 aren't looking to migrate to the newer GMenuModel API.
 .
 The AppMenu GTK+ module watches for these types of menus and exports the
 appropriate GMenuModel implementation.
 .
 This package contains header files that the GTK+2.0 and GTK+3.0 builds
 have in common.

Package: libappmenu-gtk2-parser0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: GtkMenuShell to GMenuModel parser (GTK+2.0)
 GTK+ module for exporting old-style menus as GMenuModels.
 .
 Many applications implement menus as GtkMenuShells and GtkMenuItems and
 aren't looking to migrate to the newer GMenuModel API.
 .
 The AppMenu GTK+ module watches for these types of menus and exports the
 appropriate GMenuModel implementation.
 .
 This library converts GtkMenuShells into GMenuModels for GTK+2.0
 applications.

Package: libappmenu-gtk3-parser0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk-3-0 (>= 3.2.0),
Description: GtkMenuShell to GMenuModel parser (GTK+3.0)
 GTK+ module for exporting old-style menus as GMenuModels.
 .
 Many applications implement menus as GtkMenuShells and GtkMenuItems and
 aren't looking to migrate to the newer GMenuModel API.
 .
 The AppMenu GTK+ module watches for these types of menus and exports the
 appropriate GMenuModel implementation.
 .
 This library converts GtkMenuShells into GMenuModels for GTK+3.0
 applications.

Package: libappmenu-gtk2-parser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libgtk2.0-dev (>= 2.24.0),
         libappmenu-gtk-parser-dev-common (>= ${source:Version}),
         libappmenu-gtk2-parser0 (= ${binary:Version}),
Description: GtkMenuShell to GMenuModel parser (GTK+2.0 development files)
 GTK+ module for exporting old-style menus as GMenuModels.
 .
 Many applications implement menus as GtkMenuShells and GtkMenuItems and
 aren't looking to migrate to the newer GMenuModel API.
 .
 The AppMenu GTK+ module watches for these types of menus and exports the
 appropriate GMenuModel implementation.
 .
 This package contains GTK+ 2 pkg-config files and library headers
 for libappmenu-gtk2-parser0.

Package: libappmenu-gtk3-parser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libgtk-3-dev (>= 3.2.0),
         libappmenu-gtk-parser-dev-common (>= ${source:Version}),
         libappmenu-gtk3-parser0 (= ${binary:Version}),
Description: GtkMenuShell to GMenuModel parser (GTK+3.0 development files)
 GTK+ module for exporting old-style menus as GMenuModels.
 .
 Many applications implement menus as GtkMenuShells and GtkMenuItems and
 aren't looking to migrate to the newer GMenuModel API.
 .
 The AppMenu GTK+ module watches for these types of menus and exports the
 appropriate GMenuModel implementation.
 .
 This package contains GTK+ 3 pkg-config files and library headers
 for libappmenu-gtk3-parser0.

Package: appmenu-gtk-module-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         libglib2.0-bin,
Description: Common files for GtkMenuShell D-Bus exporter
 GTK+ module for exporting old-style menus as GMenuModels.
 .
 Many applications implement menus as GtkMenuShells and GtkMenuItems and
 aren't looking to migrate to the newer GMenuModel API.
 .
 The AppMenu GTK+ module watches for these types of menus and exports the
 appropriate GMenuModel implementation.
 .
 This package contains common data files of the actuall appmenu module.

Package: appmenu-gtk2-module
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         appmenu-gtk-module-common (>= ${source:Version}),
         libappmenu-gtk2-parser0 (>= ${binary:Version}),
Provides: appmenu-gtk
Conflicts: appmenu-gtk
Replaces: appmenu-gtk
Description: GtkMenuShell D-Bus exporter (GTK+2.0)
 GTK+ module for exporting old-style menus as GMenuModels.
 .
 Many applications implement menus as GtkMenuShells and GtkMenuItems and
 aren't looking to migrate to the newer GMenuModel API.
 .
 The AppMenu GTK+ module watches for these types of menus and exports the
 appropriate GMenuModel implementation.
 .
 This package contains the GTK+2.0 AppMenu module.

Package: appmenu-gtk3-module
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         appmenu-gtk-module-common (>= ${source:Version}),
         libappmenu-gtk3-parser0 (>= ${binary:Version}),
Provides: appmenu-gtk3
Conflicts: appmenu-gtk3
Replaces: appmenu-gtk3
Description: GtkMenuShell D-Bus exporter (GTK+3.0)
 GTK+ module for exporting old-style menus as GMenuModels.
 .
 Many applications implement menus as GtkMenuShells and GtkMenuItems and
 aren't looking to migrate to the newer GMenuModel API.
 .
 The AppMenu GTK+ module watches for these types of menus and exports the
 appropriate GMenuModel implementation.
 .
 This package contains the GTK+3.0 AppMenu module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibgtk2.0-0

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=downloadurlmangle=s/archive\/?([\d\.]+).tar.gz/releases\/download\/$1\/appmenu-gtk-module.tar.xz/g \
https://github.com/rilian-la-te/vala-panel-appmenu/tags .*/archive/v?([\d\.]+).tar.gz

## appmenu-gtk-module 0.7.1

=== src/CMakeLists.txt ===
set(MODULE_SOURCES
    appmenu-gtk-module.c
    datastructs.c
    datastructs.h
    datastructs-private.h
    hijack.c
    hijack.h
    support.c
    support.h
    blacklist.c
    blacklist.h
    platform.c
    platform.h
    consts.h)

get_filename_component(GTK3_LIBDIR ${GTK3_GTK_LIBRARY} DIRECTORY)
set(GTK3_MODULEDIR ${GTK3_LIBDIR}/gtk-3.0/modules)
add_library(appmenu-gtk3-module MODULE ${MODULE_SOURCES})
target_include_directories(appmenu-gtk3-module PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../lib ${WAYLAND_INCLUDE})
target_link_libraries(appmenu-gtk3-module PRIVATE appmenu-gtk3-parser GLIB2::GIO_UNIX GTK3::GTK)
set_target_properties(appmenu-gtk3-module PROPERTIES
    OUTPUT_NAME appmenu-gtk-module
    LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/gtk-3.0)
install(TARGETS appmenu-gtk3-module DESTINATION ${GTK3_MODULEDIR})

if(GTK2_FOUND)
    get_filename_component(GTK2_LIBDIR ${GTK2_GTK_LIBRARY} DIRECTORY)
    set(GTK2_MODULEDIR ${GTK2_LIBDIR}/gtk-2.0/modules)
    add_library(appmenu-gtk2-module MODULE ${MODULE_SOURCES})
    target_include_directories(appmenu-gtk2-module PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../lib)
    target_link_libraries(appmenu-gtk2-module PRIVATE appmenu-gtk2-parser GLIB2::GIO_UNIX GTK2::GTK)
    set_target_properties(appmenu-gtk2-module PROPERTIES
        OUTPUT_NAME appmenu-gtk-module
        LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/gtk-2.0)
    install(TARGETS appmenu-gtk2-module DESTINATION ${GTK2_MODULEDIR})
endif()

=== debian/changelog ===
appmenu-gtk-module (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/watch:
    + Adapt to new upstream release scheme.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Sep 2018 10:18:15 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                libglib2.0-dev (>= 2.50.0),
                libgtk2.0-dev (>= 2.24.0),
                libgtk-3-dev (>= 3.22.0),
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/rilian-la-te/vala-panel-appmenu/tree/master/subprojects/appmenu-gtk-module
-Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/appmenu-gtk-module.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/appmenu-gtk-module.git
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/appmenu-gtk-module.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/appmenu-gtk-module
 
 Package: libappmenu-gtk-parser-dev-common
 Section: libdevel

=== debian/watch ===
version=3
https://gitlab.com/vala-panel-project/vala-panel-appmenu/tags .*/uploads/.*/appmenu-gtk-module-?([\d\.]+)\.tar\.xz

## appmenu-gtk-module 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 enable_testing ()
 include(GNUInstallDirs)
 include(CMakeDependentOption)
+include(FeatureSummary)
 find_package (PkgConfig QUIET)
 find_package(GLIB2 REQUIRED QUIET COMPONENTS GLIB GOBJECT GIO GIO_UNIX COMPILE_SCHEMAS)
 include(GLibProgramHandlers)
@@ -21,12 +22,28 @@
 cmake_dependent_option(STANDALONE "Build appmenu-gtk-module STANDALONE" ON
         "NOT CORE_FOUND" OFF)
 option(ENABLE_APPMENU_GTK_MODULE "Build appmenu-gtk-module" ON)
-cmake_dependent_option(ENABLE_GTK_MODULE_DEMOS "Enable demo programs and docs for gtk module" OFF
-        "ENABLE_APPMENU_GTK_MODULE" OFF)
+
+set(APPMENU_GTK2_MODULE ${GTK2_FOUND} AND ${ENABLE_APPMENU_GTK_MODULE})
+add_feature_info(Gtk3Module ENABLE_APPMENU_GTK_MODULE "Gtk+ module for AppMenu - Gtk3 version")
+add_feature_info(GtkModuleDemos ENABLE_GTK_MODULE_DEMOS "Gtk+ module for AppMenu - demos")
+add_feature_info(Gtk2Module APPMENU_GTK2_MODULE "Gtk+ module for AppMenu - Gtk2 version")
 
 if(STANDALONE)
-        set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}")
+        find_package(VCM NO_MODULE)
+        if(VCM_FOUND)
+            list(APPEND CMAKE_MODULE_PATH ${VCM_MODULE_PATH})
+            include(GitVersion)
+            determine_fallback_version_for_subproject(${CMAKE_SOURCE_DIR}/cmake ${CMAKE_SOURCE_DIR}/../../)
+            include(${CMAKE_SOURCE_DIR}/cmake/FallbackVersion.cmake)
+            set (CPACK_PACKAGE_VERSION ${VERSION})
+            set (CPACK_PACKAGE_RELEASE "1")
+        else()
+            set (CPACK_PACKAGE_VERSION "unknown")
+            set (CPACK_PACKAGE_RELEASE "1")
+        endif()
+        set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
         set (CPACK_SOURCE_IGNORE_FILES "/build/;/.gitmodules;/.git;/.gitignore;~$;${CPACK_SOURCE_IGNORE_FILES}")
+        set (CPACK_SOURCE_GENERATOR "TXZ")
         include (CPack)
         add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
 endif()
@@ -44,3 +61,5 @@
                 add_subdirectory(docs)
         endif()
 endif()
+cmake_dependent_option(ENABLE_GTK_MODULE_DEMOS "Enable demo programs and docs for gtk module" OFF
+        "ENABLE_APPMENU_GTK_MODULE" OFF)

=== meson_options.txt ===
option('gtk', type: 'array', choices : ['2','3'],  value: ['2','3'], description: 'Supported GTK versions')
option('tests', type : 'boolean', value : false, description: 'Parser tests')

=== data/CMakeLists.txt ===
add_custom_target(data-files-module SOURCES org.appmenu.gtk-module.gschema.xml appmenu-gtk-module.service)

add_schema("org.appmenu.gtk-module.gschema.xml" "bin")
pkg_check_modules(SYSTEMD "systemd")
if (SYSTEMD_FOUND AND "${SYSTEMD_SERVICES_INSTALL_DIR}" STREQUAL "")
    pkg_get_variable(SYSTEMD_SERVICES_INSTALL_DIR systemd systemduserunitdir)
elseif (NOT SYSTEMD_FOUND AND SYSTEMD_SERVICES_INSTALL_DIR)
    message (FATAL_ERROR "Variable SYSTEMD_SERVICES_INSTALL_DIR is\
        defined, but we can't find systemd using pkg-config")
endif()
configure_file(appmenu-gtk2-parser.pc.in ${CMAKE_CURRENT_BINARY_DIR}/appmenu-gtk2-parser.pc @ONLY)
configure_file(appmenu-gtk3-parser.pc.in ${CMAKE_CURRENT_BINARY_DIR}/appmenu-gtk3-parser.pc @ONLY)
configure_file(appmenu-gtk-module.service.in ${CMAKE_CURRENT_BINARY_DIR}/appmenu-gtk-module.service @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-gtk3-parser.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
if(GTK2_FOUND)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-gtk2-parser.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()
if (SYSTEMD_FOUND)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-gtk-module.service DESTINATION ${SYSTEMD_SERVICES_INSTALL_DIR})
endif()

=== docs/CMakeLists.txt ===
set(GTK_DOC_NAME parser)
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${GTK_DOC_NAME}/xml/")
set(ENTITIES_NAME "${CMAKE_CURRENT_BINARY_DIR}/${GTK_DOC_NAME}/xml/gtkdocentities.ent")
set(PACKAGE_BUGREPORT https://github.com/rilian-la-te/vala-panel-appmenu/issues)
set(PACKAGE_URL https://github.com/rilian-la-te/vala-panel-appmenu)
set(PACKAGE_STRING appmenu-gtk-parser)
set(PACKAGE_API_VERSION 2.0)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gtkdocentities.ent.in ${ENTITIES_NAME})
gtk_doc_add_module(
        ${GTK_DOC_NAME} 
	XML
		appmenu-gtk-parser-docs.sgml
	IGNOREHEADERS
		unity-gtk-menu-shell-private.h		
		unity-gtk-menu-section-private.h	
		unity-gtk-menu-item-private.h		
		unity-gtk-action-group-private.h	
		unity-gtk-action-private.h
        SOURCE
            ${CMAKE_CURRENT_SOURCE_DIR}/../lib
        LIBRARIES
            appmenu-gtk3-parser
)

add_custom_target(documentation ALL DEPENDS doc-parser)
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${GTK_DOC_NAME}/html
        DESTINATION ${CMAKE_INSTALL_DOCDIR})

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 set(LIB_SOURCES
-        appmenu-gtk-action-group.h
+	appmenu-gtk-action-group.h
 	unity-gtk-action-group-private.h
 	unity-gtk-action-group.c
 	unity-gtk-action-private.h
 	unity-gtk-action.c
-        appmenu-gtk-menu-shell.h
+	appmenu-gtk-menu-shell.h
 	unity-gtk-menu-shell-private.h
 	unity-gtk-menu-shell.c
 	unity-gtk-menu-section-private.h

=== tests/CMakeLists.txt ===
enable_testing()
if(ENABLE_DEMOS)
    add_subdirectory(demos)
endif()
#TODO: Fix autopilot
#add_subdirectory(autopilot)
add_test(
    NAME
        autopilot
    COMMAND
        ${CMAKE_CURRENT_SOURCE_DIR}/autopilot/test.sh
    WORKING_DIRECTORY
        ${CMAKE_CURRENT_SOURCE_DIR}/autopilot
)

=== debian/changelog ===
appmenu-gtk-module (0.7.3-2) unstable; urgency=medium

  * debian/control:
    + Add B-D: gtk-doc-tools. (Closes: #952268).
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Feb 2020 08:37:36 +0100

appmenu-gtk-module (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,rules}:
    + Switch to 'meson' build-system.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump to DH compat level version 12.
  * debian/copyright:
    + Update copyright attributions.
  * debian/*.symbols:
    + Add Build-Depends-Package: meta information field.
  * debian/rules:
    + Fix file-references-package-build-path for all build-resulting .so files.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 Aug 2019 22:04:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Jeremy Bicha <jbicha@debian.org>,
- Debian MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
-Build-Depends: cmake (>= 2.8),
-               debhelper (>= 11~),
+ Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
+Build-Depends: meson (>= 0.49.0),
+               debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1~),
                libx11-dev,
                libglib2.0-dev (>= 2.50.0),
                libgtk2.0-dev (>= 2.24.0),
                libgtk-3-dev (>= 3.22.0),
-Standards-Version: 4.2.1
+               gtk-doc-tools,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/rilian-la-te/vala-panel-appmenu/tree/master/subprojects/appmenu-gtk-module
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/appmenu-gtk-module.git

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,21 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+NULL =
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
+DHFLAGS=--buildsystem=meson
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@
+	dh $@ $(DHFLAGS)
 
 override_dh_shlibdeps:
 	dh_shlibdeps -- -xlibgtk2.0-0

## appmenu-gtk-module 0.7.3.2

=== debian/changelog ===
appmenu-gtk-module (0.7.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/rules:
    + Drop unwanted doc files before wrapping up packages.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Aug 2020 21:16:26 +0200

## appmenu-gtk-module 0.7.6

=== debian/changelog ===
appmenu-gtk-module (0.7.6-2) unstable; urgency=medium

  * debian/watch:
    + Fix broken watch file; possibly due to changes in gitlab.com.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 00:53:31 +0100

appmenu-gtk-module (0.7.6-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 31 Oct 2020 09:52:29 +0100

appmenu-gtk-module (0.7.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Oct 2020 15:43:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Jeremy Bicha <jbicha@debian.org>,
  Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Build-Depends: meson (>= 0.49.0),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1~),
                libx11-dev,
                libglib2.0-dev (>= 2.50.0),

=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,9 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -- -xlibgtk2.0-0
 
+override_dh_install:
+	rm -Rfv debian/tmp/usr/share/appmenu-gtk-module/doc/
+	dh_install
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
https://gitlab.com/vala-panel-project/vala-panel-appmenu/-/tags/?([\d\.]+) .*/uploads/.*/appmenu-gtk-module-?([\d\.]+)\.tar\.xz

## appmenu-gtk-module 24.05

=== debian/changelog ===
appmenu-gtk-module (24.05-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add to B-D: systemd-dev. (Closes: #1072593).
    +Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 09 Jun 2024 22:31:12 +0200

appmenu-gtk-module (24.02-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Rewrite watch URL regexp-hack. Big thanks to Fay Stegerman!!!
  * debian/rules:
    + Move doc files into bin:pkg appmenu-gtk3-module.
  * debian/patches:
    + Add 1001_fix-soversion.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Apr 2024 23:35:45 +0200

appmenu-gtk-module (0.7.6-3) unstable; urgency=medium

  [ Logan Rosen ]
  * debian/control:
    + Fix Vcs-Browser URL

  [ Mike Gabriel ]
  * debian/control:
    + Drop exlicit/versioned D on libgtk-3-0 from bin:pkg libappmenu-gtk3-
      parser0. (Closes: #1068222).
  * debian/copyright:
    + Fix duplicate entries.
    + Update copyright attribution for debian/.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/watch:
    + Switch to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Apr 2024 17:23:46 +0200

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,13 @@
                libgtk2.0-dev (>= 2.24.0),
                libgtk-3-dev (>= 3.22.0),
                gtk-doc-tools,
-Standards-Version: 4.5.0
+               systemd-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/rilian-la-te/vala-panel-appmenu/tree/master/subprojects/appmenu-gtk-module
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/appmenu-gtk-module.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/appmenu-gtk-module
+Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/appmenu-gtk-module
 
 Package: libappmenu-gtk-parser-dev-common
 Section: libdevel
@@ -59,7 +60,6 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgtk-3-0 (>= 3.2.0),
 Description: GtkMenuShell to GMenuModel parser (GTK+3.0)
  GTK+ module for exporting old-style menus as GMenuModels.
  .

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,8 @@
 	dh_shlibdeps -- -xlibgtk2.0-0
 
 override_dh_install:
-	rm -Rfv debian/tmp/usr/share/appmenu-gtk-module/doc/
+	mv debian/tmp/usr/share/doc/appmenu-gtk-module debian/tmp/usr/share/doc/appmenu-gtk3-module
+	rm debian/tmp/usr/share/licenses/ -Rfv
 	dh_install
 
 get-orig-source:

## appmenu-gtk-module 25.04

=== debian/changelog ===
appmenu-gtk-module (25.04-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Adjust downloadurlmangle option to new GitLab download path.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 18:27:03 +0200

appmenu-gtk-module (24.05-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop gtk2 packages. (Closes: #1089797)

 -- Bastian Germann <bage@debian.org>  Mon, 13 Jan 2025 17:05:05 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,10 @@
                dpkg-dev (>= 1.16.1.1~),
                libx11-dev,
                libglib2.0-dev (>= 2.50.0),
-               libgtk2.0-dev (>= 2.24.0),
                libgtk-3-dev (>= 3.22.0),
                gtk-doc-tools,
                systemd-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/rilian-la-te/vala-panel-appmenu/tree/master/subprojects/appmenu-gtk-module
@@ -35,25 +34,7 @@
  The AppMenu GTK+ module watches for these types of menus and exports the
  appropriate GMenuModel implementation.
  .
- This package contains header files that the GTK+2.0 and GTK+3.0 builds
- have in common.
-
-Package: libappmenu-gtk2-parser0
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-Description: GtkMenuShell to GMenuModel parser (GTK+2.0)
- GTK+ module for exporting old-style menus as GMenuModels.
- .
- Many applications implement menus as GtkMenuShells and GtkMenuItems and
- aren't looking to migrate to the newer GMenuModel API.
- .
- The AppMenu GTK+ module watches for these types of menus and exports the
- appropriate GMenuModel implementation.
- .
- This library converts GtkMenuShells into GMenuModels for GTK+2.0
- applications.
+ This package contains common header files.
 
 Package: libappmenu-gtk3-parser0
 Architecture: any
@@ -71,26 +52,6 @@
  .
  This library converts GtkMenuShells into GMenuModels for GTK+3.0
  applications.
-
-Package: libappmenu-gtk2-parser-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         libgtk2.0-dev (>= 2.24.0),
-         libappmenu-gtk-parser-dev-common (>= ${source:Version}),
-         libappmenu-gtk2-parser0 (= ${binary:Version}),
-Description: GtkMenuShell to GMenuModel parser (GTK+2.0 development files)
- GTK+ module for exporting old-style menus as GMenuModels.
- .
- Many applications implement menus as GtkMenuShells and GtkMenuItems and
- aren't looking to migrate to the newer GMenuModel API.
- .
- The AppMenu GTK+ module watches for these types of menus and exports the
- appropriate GMenuModel implementation.
- .
- This package contains GTK+ 2 pkg-config files and library headers
- for libappmenu-gtk2-parser0.
 
 Package: libappmenu-gtk3-parser-dev
 Section: libdevel
@@ -126,28 +87,7 @@
  The AppMenu GTK+ module watches for these types of menus and exports the
  appropriate GMenuModel implementation.
  .
- This package contains common data files of the actuall appmenu module.
-
-Package: appmenu-gtk2-module
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         appmenu-gtk-module-common (>= ${source:Version}),
-         libappmenu-gtk2-parser0 (>= ${binary:Version}),
-Provides: appmenu-gtk
-Conflicts: appmenu-gtk
-Replaces: appmenu-gtk
-Description: GtkMenuShell D-Bus exporter (GTK+2.0)
- GTK+ module for exporting old-style menus as GMenuModels.
- .
- Many applications implement menus as GtkMenuShells and GtkMenuItems and
- aren't looking to migrate to the newer GMenuModel API.
- .
- The AppMenu GTK+ module watches for these types of menus and exports the
- appropriate GMenuModel implementation.
- .
- This package contains the GTK+2.0 AppMenu module.
+ This package contains common data files of the actual appmenu module.
 
 Package: appmenu-gtk3-module
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,9 @@
 %:
 	dh $@ $(DHFLAGS)
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Dgtk=3
+
 override_dh_shlibdeps:
 	dh_shlibdeps -- -xlibgtk2.0-0

=== debian/watch ===
version=4
opts="searchmode=plain,downloadurlmangle=s!uploads!-/project/6865053/uploads!" \
 https://gitlab.com/api/v4/projects/vala-panel-project%2Fvala-panel-appmenu/releases \
 /uploads/[0-9a-f]+/appmenu-gtk-module-?([\d\.]+)\.tar\.xz
